## db5.3 5.3.28+dfsg2

=== test/java/compat/Makefile ===
TESTCLASSES=\
    ./src/com/sleepycat/bind/serial/test/*.java\
    ./src/com/sleepycat/bind/test/*.java\
    ./src/com/sleepycat/bind/tuple/test/*.java\
    ./src/com/sleepycat/collections/test/*.java\
    ./src/com/sleepycat/collections/test/serial/*.java\
    ./src/com/sleepycat/util/test/*.java \
    ./src/com/sleepycat/db/util/*.java

TESTSERIALPATH=com/sleepycat/collections/test/serial/TestSerial

all: dbtest.jar

dbtest.jar: classesdir
	# Compile the tests and build the test jar
	javac -classpath "${DB_JAR}${CP_SEP}${REQUIRED_JARS}" \
		-d ./classes ${TESTCLASSES}
	jar cf ./dbtest.jar -C ./classes ./com/sleepycat
	# Build the original version of TestSerial in the testserial directory
	mkdir -p "testserial/${TESTSERIALPATH}"
	cp "./src/${TESTSERIALPATH}.java.original" \
		"./testserial/${TESTSERIALPATH}.java"
	javac -classpath "${DB_JAR}${CP_SEP}${REQUIRED_JARS}" \
		-d ./testserial "testserial/${TESTSERIALPATH}.java"

classesdir:
	[ -d ./classes ] || (mkdir ./classes)

clean:
	[ -d ./classes ] && rm -rf ./classes
	[ -f ./dbtest.jar ] && rm ./dbtest.jar
	[ -d ./testserial ] && rm -rf ./testserial

## db5.3 5.3.15

=== debian/changelog ===
db5.3 (5.3.15-4ubuntu3) raring; urgency=low

  * Search for tcl in the multiarch location, thus fixing FTBFS.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 02 Apr 2013 10:59:00 +0100

db5.3 (5.3.15-4ubuntu2) raring; urgency=low

  [ Dmitrijs Ledkovs ]
  * Cross building fixes (LP: #1105368):
    - do not run tests when crossbuilding, when nocheck is enabled or stage1.
    - do not check db_signature in stage1 build.
    - comment that tcl:native is needed for cross-builds.

  * Really clean the build directory.
  
  * Thanks to wookey for the initial patch.

  [ Colin Watson ]
  * Use the autotools-dev dh addon, so that we update all the
    config.guess/config.sub copies rather than just the one in dist/.

  [ Matthias Klose ]
  * Disable java bindings for arm64.
  * Introduce a stage1 build to skip the java and the tcl bindings.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 12 Feb 2013 16:32:10 +0000

db5.3 (5.3.15-4ubuntu1) quantal; urgency=low

  * Ensure backwards compatible Java bytecode is built (LP: #1049766):
    - d/rules: Specify JAVACFLAGS (source/target = 1.5) and pass to
      dh_auto_configure. 

 -- James Page <james.page@ubuntu.com>  Wed, 19 Sep 2012 19:34:00 +0100

db5.3 (5.3.15-4) unstable; urgency=low

  * Suggests instead of Recommends for libdb5.3-java-gcj
  * Explicitly depend on debhelper (>= 9)
  * Split libdb5.3-java to arch independent libdb5.3-java and move JNI
    libraries to libdb5.3-java-jni (Closes: #669992)
  * Fix E: db source: not-binnmuable-any-depends-all libdb5.1-java-dev -
    > libdb5.1-java and W: db source: out-of-date-standards-version
    3.9.2 (current is 3.9.3)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 May 2012 14:22:34 +0200

db5.3 (5.3.15-3) unstable; urgency=low

  * Configure to enable the historic dbm interface.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 May 2012 14:21:30 +0200

db5.3 (5.3.15-2) unstable; urgency=low

  * Update description for version 5.3
  * Fix missing conflicts with db5.1 and db5.2
    (Closes: #656725, #656726, #656727)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 21 Jan 2012 14:29:58 +0100

db5.3 (5.3.15-1) unstable; urgency=low

  * Imported Upstream version 5.3.15
  * Prepare db5.3 release
  * Run all tests in the TCL suite
  * s/sqlite/sqlite3/ in description of db5.3_sql
  * Bump versioned symbols to DB5_3
  * Update patches for new release
  * Update saved db_signature on amd64
  * Update lintian-overrides to not include dates for config.{sub,guess}

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 Jan 2012 18:28:06 +0100

db5.2 (5.2.36-1) experimental; urgency=low

  * Imported Upstream version 5.2.36
  * Adapt debian/ directory from db5.1 to db5.2
  * Update Vcs-* links to db5.2
  * Add git-buildpackage configuration
  * Drop 001-documentation_update.patch; fixed upstream
  * Refresh patches to the new release
  * Do a double build and --disable-test for production version
    of Berkeley DB libraries (as recommended by upstream)
  * Update saved region environment signature to match production
    version
  * Update source.lintian-overrides to match source name

 -- Ondřej Surý <ondrej@debian.org>  Fri, 23 Sep 2011 13:39:02 +0200

db (5.1.25-11) unstable; urgency=low

  * Disable libdb5.1-java-gcj on sh4 (Closes: #623980)
  * Add code to compare built-in signature to prevent future bugs
    like #625484
  * Print built-in signature to the build log
  * Update Vcs-* links
  * Apply MultiArch patch (Courtesy of Steve Langasek) (Closes: #631318)
  * Update db_signature linking to MultiArch libraries
  * Add lintian-override for (not)embedded sqlite in MultiArch
  * Generated db_signature is different on each arch
    + Only generate the signature if we don't have it (first pass)
  * Install build_signature_$(ARCH).txt to libdb5.1 package
    + This will allow to add all correct signatures in next upload

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jun 2011 14:26:40 +0200

db (5.1.25-10) unstable; urgency=low

  * Drop dependency on ca-certificates-java, it didn't work for non
    openjdk platforms anyway

 -- Ondřej Surý <ondrej@debian.org>  Sun, 24 Apr 2011 22:24:00 +0200

db (5.1.25-9) unstable; urgency=low

  * Fix HOST vs BUILD variables (Closes: #623543)
  * Rewrite debian/rules to use ENABLE_JAVA and ENABLE_GCJ
  * Enable Java on mips again
  * Move db5.1-sql util to separate package to prevent db5.1-util
    dependency on lidb5.1-sql library
  * Build-depends on ca-certificates-java (>> 20100412)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Apr 2011 14:30:22 +0200

db (5.1.25-8) unstable; urgency=low

  * Disable Java build on mips to fix FTBS

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 15:22:27 +0200

db (5.1.25-7) unstable; urgency=low

  * Revert to upstream JAR name -> db.jar

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 08:51:57 +0200

db (5.1.25-6) unstable; urgency=low

  * Enable Java support on every Debian architecture
  * Debian packaging:
    + Add javahelper addon for debhelper
    + Change DEB_HOST_ARCH to DEB_BUILD_ARCH
    + Keep -Ddist -Bbuild to overridden dh_auto_ commands to fix
      javahelper breakage
    + Fix typo and set GCJ CFLAGS out of the condition
    + Only rename db.jar to libdb5.1.jar and rest let to jh_installlibs
    + Change --fail-missing to --list-missing
    + Move dh_nativejava after jh_installibs

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 00:21:34 +0200

db (5.1.25-5) unstable; urgency=low

  * Fix FTBFS when buildd directory is named db_<version>

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Apr 2011 18:18:01 +0200

db (5.1.25-4) unstable; urgency=low

  * Add debug info for all libraries
  * Fix FTBFS on freebsd-{amd64,i386} (Thanks Matthias Klose)
    (Closes: #621878)
  * Fix lintian warnings and errors:
    + Update default java build dependencies
    + Tighten Java libraries dependencies
    + Fix errors in db5.1_load.1 manpage
  * Debian packaging:


=== debian/control ===
Source: db5.3
Section: libs
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Standards-Version: 3.9.3
# For cross building one also needs tcl8.4:native (ie. such that it
# can be executed to pre-process sqlite3 components).
# For DEB_STAGE=stage1 build tcl-dev, javahelper, default-jdk,
# gcj-native-helper can be dropped
Build-Depends: debhelper (>= 9),
	       autotools-dev (>= 20100122.1),
	       tcl-dev,
	       procps [!hurd-i386],
	       javahelper [!arm64],
	       default-jdk [!arm64],
	       gcj-native-helper [!arm64]
Homepage: http://www.oracle.com/technology/software/products/berkeley-db/index.html
Vcs-Browser: http://git.debian.org/?p=pkg-db/db5.3.git
Vcs-Git: git://git.debian.org/pkg-db/db5.3.git

Package: db5.3-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: Berkeley v5.3 Database Documentation [html]
 This package contains documentation in HTML format for all of
 the APIs (C, C++, C#, STL, Java, Tcl) and utilities provided
 by version 5.3 of Berkeley DB.

Package: libdb5.3-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.3 (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.3-doc
Conflicts: libdb4.6-dev, libdb4.7-dev, libdb4.8-dev, libdb5.1-dev, libdb5.2-dev
Description: Berkeley v5.3 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.3 database library.

Package: libdb5.3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 Database Libraries [runtime]
 This is the runtime package for programs that use the v5.3 Berkeley
 database library.

Package: db5.3-util
Architecture: any
Section: database
Priority: optional
Multi-Arch: foreign
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.3 database format, and includes:
  - db5.3_archive: write the pathnames of the log files no longer in use.
  - db5.3_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db5.3_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db5.3_load: loads (and creates) a database from standard input.
  - db5.3_dump: read a database file and write it in a format understood
    by db4.{2..8}_load.
  - db5.3_printlog: dump log files in human readable format.
  - db5.3_stat: display statistics for Berkeley DB environments.
  - db5.3_upgrade: upgrades the version of files and the databases they
    contain.
  - db5.3_verify: check the structure of files and their databases.

Package: db5.3-sql-util
Architecture: any
Section: database
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 SQL Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.3 SQL database format, and includes:
  - db5.3_sql: sqlite3 compatible command-line utility

Package: libdb5.3++
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Priority: optional
Description: Berkeley v5.3 Database Libraries for C++ [runtime]
 This is the runtime package for programs that use the Berkeley v5.3
 database library.  This is only for programs which use the C++ interface.

Package: libdb5.3++-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.3++ (= ${binary:Version}),
	 libdb5.3-dev (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libdb4.6++-dev, libdb4.7++-dev, libdb4.8++-dev, libdb5.1++-dev, libdb5.2++-dev
Description: Berkeley v5.3 Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.3 database library.  This is only for
 programs which will use the C++ interface.

Package: libdb5.3-tcl
Architecture: any
Section: interpreters
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libdb4.6-tcl, libdb4.7-tcl, libdb4.8-tcl, libdb5.1-tcl, libdb5.2-tcl
Depends: ${tcl:Depends},
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 Database Libraries for Tcl [module]
 This package provides a Tcl module suitable for accessing Berkeley v5.3
 databases from within Tcl programs.

Package: libdb5.3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdb5.3 (= ${binary:Version}),
	 ${misc:Depends}
Multi-Arch: same
Description: Berkeley v5.3 Database Libraries [debug]
 This package provides the debug symbols for the Berkeley v5.3 database
 libraries and binaries.

Package: libdb5.3-java-jni
Architecture: any
Section: java
Priority: optional
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libdb5.3-java (<< ${source:Version})
Conflicts: libdb5.1-java, libdb5.2-java
Multi-Arch: same
Description: Berkeley v5.3 Database Libraries for Java
 This package provides the Java interface for the Berkeley v5.3 database
 library.

Package: libdb5.3-java
Architecture: all
Section: java
Priority: optional
Depends: libdb5.3-java-jni (>= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libdb5.3-java-gcj
Multi-Arch: foreign
Description: Berkeley v5.3 Database Libraries for Java
 This package provides the Java interface for the Berkeley v5.3 database
 library.

Package: libdb5.3-java-gcj
Architecture: any
Section: java
Priority: optional
Depends: libdb5.3-java (= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 Database Libraries for Java (native code)
 This package provides the Java interface for the Berkeley v5.3 database
 library.
 .
 This package contains the natively compiled code for use by gij.

Package: libdb5.3-java-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libdb5.3-java (= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Conflicts: libdb4.6-java-dev, libdb4.7-java-dev, libdb4.8-java-dev, libdb5.1-java-dev, libdb5.2-java-dev
Description: Berkeley v5.3 Database Libraries for Java [development]
 This package provides the Java interface for the Berkeley v5.3 database
 library.

Package: libdb5.3-sql-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.3-sql (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libdb5.1-sql-dev, libdb5.2-sql-dev
Suggests: db5.3-doc
Description: Berkeley v5.3 Database Libraries [SQL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.3 database library.

Package: libdb5.3-sql
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v5.3 Database Libraries [SQL runtime]
 This is the runtime package for programs that use the v5.3 Berkeley
 database SQL library.

Package: libdb5.3-stl-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.3-stl (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libdb5.1-stl-dev, libdb5.2-stl-dev
Suggests: db5.3-doc
Description: Berkeley v5.3 Database Libraries [STL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.3 database library.

Package: libdb5.3-stl
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v5.3 Database Libraries [STL runtime]
 This is the runtime package for programs that use the v5.3 Berkeley
 database STL library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for Berkeley DB defaults
# Copyright (C) 2011 Ondřej Surý
# Published under the GNU GPL license
# Partially based on previous work by Clint Adams
#
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE=.arch-ids

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Don't try to build this file if missing
/usr/share/gcj/debian_defaults /usr/share/javahelper/java-vars.mk:
	:

-include /usr/share/gcj/debian_defaults
-include /usr/share/javahelper/java-vars.mk

JAVA_BROKEN_ARCHS = arm64
GCJ_BROKEN_ARCHS = arm64 ia64 sparc mips sh4
GCJ_NATIVE_ARCHS = $(filter-out $(GCJ_BROKEN_ARCHS), $(gcj_native_archs))

ENABLE_JAVA=no
ENABLE_GCJ=no

ifeq (,$(filter $(DEB_HOST_ARCH), $(JAVA_BROKEN_ARCHS)))
  ENABLE_JAVA=yes
ifneq (,$(filter $(DEB_HOST_ARCH), $(GCJ_NATIVE_ARCHS)))
  ENABLE_GCJ=yes
endif
endif

ifeq ($(DEB_STAGE),stage1)
  ENABLE_JAVA=no
  ENABLE_GCJ=no
  ENABLE_TCL=no
else
  ENABLE_TCL=yes
endif

CONFIGURE_SWITCHES =    --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--localstatedir=/var \
			--sysconfdir=/etc \
			--libexecdir=/usr/lib \
			--enable-cxx \
			--enable-compat185 \
			--enable-sql \
			--enable-stl \
			--enable-dbm

ifeq ($(ENABLE_TCL),yes)
ENABLE_TESTS=yes
CONFIGURE_SWITCHES += --enable-tcl \
	              --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)
else
ENABLE_TESTS=no
CONFIGURE_SWITCHES += --disable-tcl
DH_OPTIONS += -Nlibdb5.1-tcl
endif

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
ENABLE_TESTS=no
endif

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
ENABLE_TESTS=no
endif  

ifeq (zx86_64-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
CONFIGURE_SWITCHES += --with-mutex=POSIX/pthreads/library
endif
ifeq (zavr32-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
CONFIGURE_SWITCHES += --enable-posixmutexes
endif

ifeq (yes,$(ENABLE_JAVA))
JAVACFLAGS=-source 1.5 -target 1.5
JAVA_HOME ?= /usr/lib/jvm/default-java
CFLAGS += -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
CONFIGURE_SWITCHES += --enable-java
DH_PLUGINS += --with=javahelper
else
CONFIGURE_SWITCHES += --disable-java
DH_OPTIONS += -Nlibdb5.3-java -Nlibdb5.3-java-dev -Nlibdb5.3-java-gcj -Nlibdb5.3-java-jni
endif

ifeq (no,$(ENABLE_GCJ))
DH_OPTIONS += -Nlibdb5.3-java-gcj
endif

ifeq (no,$(ENABLE_SQL))
DH_OPTIONS += -Nlibdb5.1-sql
CONFIGURE_SWITCHES += --disable-sql
endif


BROKEN_CPUS = zs390z
VERY_BROKEN_CPUS = zm68kz zhppaz
BROKEN_SYSTEMS = zgnuz
VERY_BROKEN_SYSTEMS =

TCLSH=/usr/bin/tclsh

export DH_OPTIONS

package=db5.3
bdbversion=5.3

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

%:
	dh $@ --with=autotools-dev $(DH_PLUGINS)

override_dh_auto_configure:
ifeq ($(ENABLE_TESTS),yes)
	JAVACFLAGS="$(JAVACFLAGS)" dh_auto_configure -Ddist -Bbuild-test -- $(CONFIGURE_SWITCHES) --enable-test
endif
	JAVACFLAGS="$(JAVACFLAGS)" dh_auto_configure -Ddist -Bbuild-production -- $(CONFIGURE_SWITCHES) --disable-test

override_dh_auto_clean:
ifeq ($(ENABLE_TESTS),yes)
	dh_auto_clean -Ddist -Bbuild-test
endif
	dh_auto_clean -Ddist -Bbuild-production
	rm -f $(CURDIR)/debian/build_signature.txt

override_dh_auto_test:
ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(VERY_BROKEN_CPUS))$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(VERY_BROKEN_SYSTEMS)))
ifeq ($(ENABLE_TESTS),yes)
	cd build-test && make cutest && ./cutest
	echo 'source ../test/tcl/test.tcl; run_std;' | tclsh

ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(BROKEN_CPUS))$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(BROKEN_SYSTEMS)))
	! grep ^FAIL build-test/ALL.OUT
else
# Testsuite failures are marked as non-fatal on $(DEB_BUILD_GNU_SYSTEM)-$(DEB_BUILD_GNU_CPU)
	grep ^FAIL build-test/ALL.OUT || true
endif
else
# Testsuite has been disabled by DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS)
endif
else
# Testsuite has been disabled on $(DEB_BUILD_GNU_SYSTEM)-$(DEB_BUILD_GNU_CPU)
endif

override_dh_auto_install:
	dh_auto_install -Ddist -Bbuild-production

# Remove .la files
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

# Remove libdb*-5.so from all packages, we don't provide generic libdb5 packages
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb*5.so

	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb.a
	ln -s libdb-$(bdbversion).a $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb.a

# only works for the native build
ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
# Compare built-in signature and fail build if it is different
	cc -o$(CURDIR)/debian/db_signature \
	   -I$(CURDIR)/debian/tmp/usr/include \
	     $(CURDIR)/debian/db_signature.c \
	     $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb.a

	$(CURDIR)/debian/db_signature > $(CURDIR)/debian/build_signature_$(DEB_HOST_ARCH).txt

	echo -n "Berkeley DB signature is:"; $(CURDIR)/debian/db_signature

ifneq ($(DEB_STAGE),stage1)
	if [ -f $(CURDIR)/debian/saved_signature_$(DEB_HOST_ARCH).txt ]; then \
	    cmp $(CURDIR)/debian/saved_signature_$(DEB_HOST_ARCH).txt         \
	        $(CURDIR)/debian/build_signature_$(DEB_HOST_ARCH).txt         \
	    || ( echo "Region environment signatures differ."; exit 1; );     \
	fi
endif
endif

	mv $(CURDIR)/debian/tmp/usr/bin/dbsql $(CURDIR)/debian/tmp/usr/bin/db_sql
	rm -f $(CURDIR)/debian/tmp/usr/bin/sqlite3

	for i in $(CURDIR)/debian/tmp/usr/bin/db_*; do \
	  mv $$i $$(echo $$i | sed -e 's{usr/bin/db_{usr/bin/$(package)_{'); \
	done

override_dh_install:
	dh_install -a -Xusr/doc --list-missing
ifeq ($(ENABLE_TCL),yes)
	tcltk-depends
endif

override_dh_installdocs:
	dh_installdocs -pdb5.3-doc
	dh_installdocs --remaining-packages --link-doc=libdb5.3

override_dh_strip:
	dh_strip -s --dbg-package=libdb5.3-dbg

override_dh_clean:
	rm -rf build
	rm -f $(CURDIR)/debian/db_signature
	DH_OPTIONS="" dh_clean

override_jh_installlibs:
ifeq (yes,$(ENABLE_JAVA))
	jh_installlibs
endif
ifeq (yes,$(ENABLE_GCJ))
	dh_nativejava
endif

## db5.3 5.3.21

=== debian/changelog ===
db5.3 (5.3.21-2) unstable; urgency=low

  * Add myself to uploaders.
  * Use /usr/share/dpkg/architecture.mk

  Apply changes from Ubuntu packaging:
  * debian/patches/link-sql-libs: Add new patch to fix FTBFS due to
    missing -ldl link on libdb_sql-5.1.
  * Search for tcl in the multiarch location, conditionally.
  * Enable historic dbm interface. Thanks Wookey. (LP: #1126392)
  * Cross building fixes (LP: #1105368):
    - do not run tests when crossbuilding, when nocheck is enabled or stage1.
    - do not check db_signature in stage1 build.
    - comment that tcl:native is needed for cross-builds.
  * Really clean the build directory.
  * Use the autotools-dev dh addon, so that we update all the
    config.guess/config.sub copies rather than just the one in dist/.
  * Introduce a stage1 build to skip the java and the tcl bindings.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 15 Aug 2013 14:21:00 +0100

db5.3 (5.3.21-1) unstable; urgency=low

  * Imported Upstream version 5.3.21
  * Ensure backwards compatible Java bytecode is built (Closes: #688192)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Mar 2013 15:02:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,7 @@
 
 export DH_ALWAYS_EXCLUDE=.arch-ids
 
-DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-DEB_BUILD_GNU_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
-DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
-DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
-DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 # Don't try to build this file if missing
 /usr/share/gcj/debian_defaults /usr/share/javahelper/java-vars.mk:
@@ -27,8 +19,8 @@
 -include /usr/share/gcj/debian_defaults
 -include /usr/share/javahelper/java-vars.mk
 
-JAVA_BROKEN_ARCHS = arm64
-GCJ_BROKEN_ARCHS = arm64 ia64 sparc mips sh4
+JAVA_BROKEN_ARCHS =
+GCJ_BROKEN_ARCHS = ia64 sparc mips sh4
 GCJ_NATIVE_ARCHS = $(filter-out $(GCJ_BROKEN_ARCHS), $(gcj_native_archs))
 
 ENABLE_JAVA=no
@@ -61,22 +53,32 @@
 			--enable-dbm
 
 ifeq ($(ENABLE_TCL),yes)
-ENABLE_TESTS=yes
-CONFIGURE_SWITCHES += --enable-tcl \
-	              --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)
-else
-ENABLE_TESTS=no
-CONFIGURE_SWITCHES += --disable-tcl
-DH_OPTIONS += -Nlibdb5.1-tcl
+  ENABLE_TESTS=yes
+  CONFIGURE_SWITCHES += --enable-tcl
+ifneq (,$(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/tcl*))
+  CONFIGURE_SWITCHES += --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)
+else
+  CONFIGURE_SWITCHES += --with-tcl=/usr/lib
+endif
+else
+  ENABLE_TESTS=no
+  CONFIGURE_SWITCHES += --disable-tcl
+  DH_OPTIONS += -Nlibdb5.1-tcl
 endif
 
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
-ENABLE_TESTS=no
+  ENABLE_TESTS=no
 endif
 
 ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-ENABLE_TESTS=no
-endif  
+  ENABLE_TESTS=no
+endif
+
+ifeq ($(ENABLE_TESTS),yes)
+  CONFIGURE_SWITCHES += --enable-test
+else
+  CONFIGURE_SWITCHES += --disable-test
+endif
 
 ifeq (zx86_64-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
 CONFIGURE_SWITCHES += --with-mutex=POSIX/pthreads/library
@@ -102,7 +104,7 @@
 
 ifeq (no,$(ENABLE_SQL))
 DH_OPTIONS += -Nlibdb5.1-sql
-CONFIGURE_SWITCHES += --disable-sql
+  CONFIGURE_SWITCHES += --disable-sql
 endif
 
 
@@ -125,13 +127,13 @@
 	dh $@ --with=autotools-dev $(DH_PLUGINS)
 
 override_dh_auto_configure:
-ifeq ($(ENABLE_TESTS),yes)
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	JAVACFLAGS="$(JAVACFLAGS)" dh_auto_configure -Ddist -Bbuild-test -- $(CONFIGURE_SWITCHES) --enable-test
 endif
 	JAVACFLAGS="$(JAVACFLAGS)" dh_auto_configure -Ddist -Bbuild-production -- $(CONFIGURE_SWITCHES) --disable-test
 
 override_dh_auto_clean:
-ifeq ($(ENABLE_TESTS),yes)
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_clean -Ddist -Bbuild-test
 endif
 	dh_auto_clean -Ddist -Bbuild-production
@@ -139,7 +141,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(VERY_BROKEN_CPUS))$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(VERY_BROKEN_SYSTEMS)))
-ifeq ($(ENABLE_TESTS),yes)
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	cd build-test && make cutest && ./cutest
 	echo 'source ../test/tcl/test.tcl; run_std;' | tclsh

## db5.3 5.3.28

=== debian/changelog ===
db5.3 (5.3.28-3) unstable; urgency=low

  * Reduce duplicate static libraries in libdb5.3{++,-sql,-stl,-tcl}-dev

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Oct 2013 09:17:57 +0100

db5.3 (5.3.28-2) unstable; urgency=low

  * Enable GCJ native arch on all architectures again

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Oct 2013 19:12:28 +0100

db5.3 (5.3.28-1) unstable; urgency=low

  [ Ondřej Surý ]
  * Install only build_signature_$(ARCH).txt to $(ARCH) package (Closes: #720029)
  * Add watch file for 5.3.x release
  * New upstream version 5.3.28
  * Update patches for 5.3.28 release

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Oct 2013 14:38:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: db5.3
 Section: libs
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
-Uploaders: Ondřej Surý <ondrej@debian.org>
+Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>, Dmitrijs Ledkovs <xnox@debian.org>
 Standards-Version: 3.9.3
 # For cross building one also needs tcl8.4:native (ie. such that it
 # can be executed to pre-process sqlite3 components).
@@ -13,9 +12,9 @@
 	       autotools-dev (>= 20100122.1),
 	       tcl-dev,
 	       procps [!hurd-i386],
-	       javahelper [!arm64],
-	       default-jdk [!arm64],
-	       gcj-native-helper [!arm64]
+	       javahelper,
+	       default-jdk,
+	       gcj-native-helper
 Homepage: http://www.oracle.com/technology/software/products/berkeley-db/index.html
 Vcs-Browser: http://git.debian.org/?p=pkg-db/db5.3.git
 Vcs-Git: git://git.debian.org/pkg-db/db5.3.git

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -include /usr/share/javahelper/java-vars.mk
 
 JAVA_BROKEN_ARCHS =
-GCJ_BROKEN_ARCHS = ia64 sparc mips sh4
+GCJ_BROKEN_ARCHS = 
 GCJ_NATIVE_ARCHS = $(filter-out $(GCJ_BROKEN_ARCHS), $(gcj_native_archs))
 
 ENABLE_JAVA=no
@@ -167,8 +167,11 @@
 # Remove libdb*-5.so from all packages, we don't provide generic libdb5 packages
 	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb*5.so
 
-	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb.a
-	ln -s libdb-$(bdbversion).a $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb.a
+# Reduce duplication in duplicate .a files by symlinking
+	for v in "" _cxx _sql _stl _tcl; do \
+	  rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb$$v.a; \
+	  ln -s libdb$$v-$(bdbversion).a $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb$$v.a; \
+	done
 
 # only works for the native build
 ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
@@ -207,6 +210,8 @@
 override_dh_installdocs:
 	dh_installdocs -pdb5.3-doc
 	dh_installdocs --remaining-packages --link-doc=libdb5.3
+	# Install build_signature_$(DEB_HOST_ARCH).txt to docs
+	install -m 644 debian/build_signature_$(DEB_HOST_ARCH).txt $(CURDIR)/debian/libdb5.3/usr/share/doc/libdb5.3/
 
 override_dh_strip:
 	dh_strip -s --dbg-package=libdb5.3-dbg

## db5.3 5.3.28%2Bdfsg2

=== debian/changelog ===
db5.3 (5.3.28+dfsg2-10) unstable; urgency=medium

  * QA upload

  [ Simon Chopin ]
  * d/rules: explicitly use the gnu14 C standard (Closes: #1096505)

 -- Bastian Germann <bage@debian.org>  Mon, 06 Oct 2025 18:03:18 +0200

db5.3 (5.3.28+dfsg2-9) unstable; urgency=medium

  * QA upload.
  * Fix the "64-bit integral type support for sequences"
    autoconf test with gcc 14.

 -- Adrian Bunk <bunk@debian.org>  Tue, 15 Oct 2024 14:40:15 +0300

db5.3 (5.3.28+dfsg2-8) unstable; urgency=medium

  * QA upload

  [ Samuel Thibault ]
  * control: Generalize hurd-i386 into hurd-any.

  [ Bastian Germann ]
  * Fix FTBFS because of implicit-int (Closes: #1084782)
  * Fix OPD checkpoint deadlock (Closes: #932758)

 -- Bastian Germann <bage@debian.org>  Thu, 10 Oct 2024 11:54:04 +0200

db5.3 (5.3.28+dfsg2-7) unstable; urgency=medium

  [ Bastian Germann ]
  * Compile db_signature with expected flags

  [ Thorsten Glaser ]
  * QA upload.
  * Fix misuse of struct timespec (buffer overflow on ILP32 t64
    architectures, more on big endian); with help from Bernhard
    Übelacker (Closes: #1067639)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 13 Apr 2024 15:12:36 +0200

db5.3 (5.3.28+dfsg2-6) unstable; urgency=medium

  * QA upload
  * debian/patches: Add missing #include to fix configure check (Closes:
    #1066003)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Mar 2024 21:33:34 +0100

db5.3 (5.3.28+dfsg2-5) unstable; urgency=medium

  * debian/rules: fix remaining references to libdb5.3 that make the -dev
    package uninstallable.

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 00:30:51 +0000

db5.3 (5.3.28+dfsg2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062020

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 01:11:42 +0000

db5.3 (5.3.28+dfsg2-4) unstable; urgency=medium

  * QA upload
  * Add db5.3_tuner (Closes: #1055722)

 -- Bastian Germann <bage@debian.org>  Fri, 10 Nov 2023 14:13:50 +0100

db5.3 (5.3.28+dfsg2-3) unstable; urgency=medium

  * Orphan the package

 -- Bastian Germann <bage@debian.org>  Sat, 04 Nov 2023 20:55:49 +0100

db5.3 (5.3.28+dfsg2-2) unstable; urgency=medium

  * d/watch: Drop non-existing website
  * Demote libdb5.3's Priority to optional
  * Apply Rules-Requires-Root (Closes: #1043077)
  * Drop java and tcl packages (Closes: #650844)
  * Rename wrongly prefixed patches
  * Drop sql and stl packages (Closes: #1010974, #928441, #715779)

  [ Debian Janitor ]
  * db5.3-doc: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Sun, 06 Aug 2023 15:50:06 +0200

db5.3 (5.3.28+dfsg2-1) unstable; urgency=medium

  * Eliminate a shell script that has a non-free license
  * d/copyright: Join redundant Comments
  * Adopt the package (Closes: #1014386)

 -- Bastian Germann <bage@debian.org>  Mon, 16 Jan 2023 21:25:20 +0100

db5.3 (5.3.28+dfsg1-0.10) unstable; urgency=medium

  * Non-maintainer upload
  * d/changelog: Correct bug reference
  * Remove alien lintian tags
  * Convert Priority: extra to optional
  * d/copyright: Convert to machine-readable format (Closes: #781011)
  * Remove dh compat 9 leftovers

 -- Bastian Germann <bage@debian.org>  Thu, 30 Jun 2022 21:41:48 +0200

db5.3 (5.3.28+dfsg1-0.9) unstable; urgency=medium

  [ Dave Jones ]
  * SECURITY UPDATE: Heap out-of-bounds read
    Closes: #1010974, CVE-2019-8457.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 14 May 2022 11:56:39 +0200

db5.3 (5.3.28+dfsg1-0.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix address arithmetic in patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 05 Feb 2021 18:02:54 +0100

db5.3 (5.3.28+dfsg1-0.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patches for GCC 10 (Closes: #957124)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 29 Jan 2021 13:27:20 +0100

db5.3 (5.3.28+dfsg1-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop myself from uploaders.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 12 Mar 2019 04:16:54 +0000

db5.3 (5.3.28+dfsg1-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 26 Feb 2019 09:46:07 +0100

db5.3 (5.3.28+dfsg1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the team email (Closes: #899921).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 26 Feb 2019 08:53:49 +0100

db5.3 (5.3.28+dfsg1-0.3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Use build profiles. (Closes: #869952)

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 31 Jan 2019 15:26:11 +0100

db5.3 (5.3.28+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-enable Java bindings on m68k. (Closes: #906240)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 09 Sep 2018 09:33:40 +0200

db5.3 (5.3.28+dfsg1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack the .orig tarball to eliminate prebuilt binaries that need a
    Visual Studio plugin to build from source. (Closes: #898215)
  * Fix FTBFS with Java 9, thanks Markus Koschany. (Closes: #873976)
  * Fix FTBFS with Java 10 (bogus version detection).
  * Fix FTBFS with GCC-8 (__atomic_compare_exchange).

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 09 Aug 2018 01:12:06 +0200

db5.3 (5.3.28-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2017-10140: Reads DB_CONFIG from the current working directory.
    Do not access DB_CONFIG when db_home is not set. (Closes: #872436)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 17 Aug 2017 14:35:22 +0200

db5.3 (5.3.28-13) unstable; urgency=medium

  * Use https url for Vcs-Browser
  * Bump debhelper compatibility level to 10
  * Disable building gcj (Courtesy of Emmanuel Bourg)
    (Closes: #865117, #672464)
  * Remove maintscript parameters from the maintscript
    (Closes: #839953)



## db5.3 5.3.28+dfsg1

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: db5.3
 Section: libs
 Priority: standard
-Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
-Uploaders: Ondřej Surý <ondrej@debian.org>, Dmitrijs Ledkovs <xnox@debian.org>
-Standards-Version: 3.9.3
-# For cross building one also needs tcl8.4:native (ie. such that it
-# can be executed to pre-process sqlite3 components).
-# For DEB_STAGE=stage1 build tcl-dev, javahelper, default-jdk,
-# gcj-native-helper can be dropped
-Build-Depends: debhelper (>= 9),
-	       autotools-dev (>= 20100122.1),
-	       tcl-dev,
-	       procps [!hurd-i386],
-	       javahelper,
-	       default-jdk,
-	       gcj-native-helper
-Homepage: http://www.oracle.com/technology/software/products/berkeley-db/index.html
-Vcs-Browser: http://git.debian.org/?p=pkg-db/db5.3.git
-Vcs-Git: git://git.debian.org/pkg-db/db5.3.git
+Maintainer: Debian Berkeley DB Team <team+bdb@tracker.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>
+Standards-Version: 3.9.6
+# For DEB_STAGE=stage1 build tcl-dev, javahelper, default-jdk can be dropped
+Build-Depends: debhelper (>= 10),
+	       autotools-dev,
+	       dh-autoreconf,
+	       tcl <cross !pkg.db5.3.notcl>,
+	       tcl-dev <!pkg.db5.3.notcl>,
+	       procps [!hurd-i386] <!nocheck>,
+	       javahelper <!nojava>,
+	       default-jdk <!nojava>
+Homepage: http://www.oracle.com/technetwork/database/database-technologies/berkeleydb/overview/index.html
+Vcs-Browser: https://salsa.debian.org/debian/db5.3
+Vcs-Git: https://salsa.debian.org/debian/db5.3.git
 
 Package: db5.3-doc
 Architecture: all
@@ -117,6 +115,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: libdb4.6-tcl, libdb4.7-tcl, libdb4.8-tcl, libdb5.1-tcl, libdb5.2-tcl
+Build-Profiles: <!pkg.db5.3.notcl>
 Depends: ${tcl:Depends},
 	 ${shlibs:Depends},
 	 ${misc:Depends}
@@ -145,6 +144,7 @@
 Breaks: libdb5.3-java (<< ${source:Version})
 Conflicts: libdb5.1-java, libdb5.2-java
 Multi-Arch: same
+Build-Profiles: <!nojava>
 Description: Berkeley v5.3 Database Libraries for Java
  This package provides the Java interface for the Berkeley v5.3 database
  library.
@@ -157,33 +157,21 @@
 	 ${shlibs:Depends},
 	 ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Suggests: libdb5.3-java-gcj
 Multi-Arch: foreign
+Build-Profiles: <!nojava>
 Description: Berkeley v5.3 Database Libraries for Java
  This package provides the Java interface for the Berkeley v5.3 database
  library.
 
-Package: libdb5.3-java-gcj
-Architecture: any
-Section: java
+Package: libdb5.3-java-dev
+Architecture: any
+Section: libdevel
 Priority: optional
 Depends: libdb5.3-java (= ${source:Version}),
 	 ${shlibs:Depends},
 	 ${misc:Depends}
-Description: Berkeley v5.3 Database Libraries for Java (native code)
- This package provides the Java interface for the Berkeley v5.3 database
- library.
- .
- This package contains the natively compiled code for use by gij.
-
-Package: libdb5.3-java-dev
-Architecture: any
-Section: libdevel
-Priority: optional
-Depends: libdb5.3-java (= ${source:Version}),
-	 ${shlibs:Depends},
-	 ${misc:Depends}
 Conflicts: libdb4.6-java-dev, libdb4.7-java-dev, libdb4.8-java-dev, libdb5.1-java-dev, libdb5.2-java-dev
+Build-Profiles: <!nojava>
 Description: Berkeley v5.3 Database Libraries for Java [development]
  This package provides the Java interface for the Berkeley v5.3 database
  library.
@@ -207,6 +195,7 @@
 	 ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
+Build-Profiles: <!pkg.db5.3.nosql>
 Description: Berkeley v5.3 Database Libraries [SQL runtime]
  This is the runtime package for programs that use the v5.3 Berkeley
  database SQL library.

=== debian/rules ===
--- 
+++ 
@@ -13,32 +13,21 @@
 include /usr/share/dpkg/architecture.mk
 
 # Don't try to build this file if missing
-/usr/share/gcj/debian_defaults /usr/share/javahelper/java-vars.mk:
+/usr/share/javahelper/java-vars.mk:
 	:
 
--include /usr/share/gcj/debian_defaults
 -include /usr/share/javahelper/java-vars.mk
 
 JAVA_BROKEN_ARCHS =
-GCJ_BROKEN_ARCHS = 
-GCJ_NATIVE_ARCHS = $(filter-out $(GCJ_BROKEN_ARCHS), $(gcj_native_archs))
 
 ENABLE_JAVA=no
-ENABLE_GCJ=no
 
 ifeq (,$(filter $(DEB_HOST_ARCH), $(JAVA_BROKEN_ARCHS)))
   ENABLE_JAVA=yes
-ifneq (,$(filter $(DEB_HOST_ARCH), $(GCJ_NATIVE_ARCHS)))
-  ENABLE_GCJ=yes
-endif
-endif
-
-ifeq ($(DEB_STAGE),stage1)
+endif
+
+ifneq (,$(filter nojava,$(DEB_BUILD_PROFILES)))
   ENABLE_JAVA=no
-  ENABLE_GCJ=no
-  ENABLE_TCL=no
-else
-  ENABLE_TCL=yes
 endif
 
 CONFIGURE_SWITCHES =    --prefix=/usr \
@@ -52,7 +41,7 @@
 			--enable-stl \
 			--enable-dbm
 
-ifeq ($(ENABLE_TCL),yes)
+ifeq (,$(filter pkg.db5.3.notcl,$(DEB_BUILD_PROFILES)))
   ENABLE_TESTS=yes
   CONFIGURE_SWITCHES += --enable-tcl
 ifneq (,$(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/tcl*))
@@ -66,18 +55,8 @@
   DH_OPTIONS += -Nlibdb5.1-tcl
 endif
 
-ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
   ENABLE_TESTS=no
-endif
-
-ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-  ENABLE_TESTS=no
-endif
-
-ifeq ($(ENABLE_TESTS),yes)
-  CONFIGURE_SWITCHES += --enable-test
-else
-  CONFIGURE_SWITCHES += --disable-test
 endif
 
 ifeq (zx86_64-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
@@ -88,28 +67,22 @@
 endif
 
 ifeq (yes,$(ENABLE_JAVA))
-JAVACFLAGS=-source 1.5 -target 1.5
+JAVACFLAGS=-source 1.7 -target 1.7
 JAVA_HOME ?= /usr/lib/jvm/default-java
 CFLAGS += -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
 CONFIGURE_SWITCHES += --enable-java
 DH_PLUGINS += --with=javahelper
 else
 CONFIGURE_SWITCHES += --disable-java
-DH_OPTIONS += -Nlibdb5.3-java -Nlibdb5.3-java-dev -Nlibdb5.3-java-gcj -Nlibdb5.3-java-jni
-endif
-
-ifeq (no,$(ENABLE_GCJ))
-DH_OPTIONS += -Nlibdb5.3-java-gcj
-endif
-
-ifeq (no,$(ENABLE_SQL))
-DH_OPTIONS += -Nlibdb5.1-sql
+endif
+
+ifneq (,$(filter pkg.db5.3.nosql,$(DEB_BUILD_PROFILES)))
   CONFIGURE_SWITCHES += --disable-sql
 endif
 
 
 BROKEN_CPUS = zs390z
-VERY_BROKEN_CPUS = zm68kz zhppaz
+VERY_BROKEN_CPUS = zhppaz
 BROKEN_SYSTEMS = zgnuz
 VERY_BROKEN_SYSTEMS =
 
@@ -123,25 +96,61 @@
 version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
 version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')
 
+LIBTOOL_AUX_FILES=config.guess config.sub install-sh ltmain.sh
+LIBTOOL_MACROS_FILES=libtool.m4 ltoptions.m4 ltsugar.m4 ltversion.m4 lt~obsolete.m4
+
+RECONF_FILES=dist/config.hin \
+             dist/configure \
+             $(patsubst %,dist/%,$(LIBTOOL_AUX_FILES)) \
+             $(patsubst %,dist/aclocal/%,$(LIBTOOL_MACROS_FILES)) \
+             lang/sql/sqlite/aclocal.m4 \
+             lang/sql/sqlite/configure \
+             $(patsubst %,lang/sql/sqlite/%,$(LIBTOOL_AUX_FILES))
+
 %:
 	dh $@ --with=autotools-dev $(DH_PLUGINS)
 
 override_dh_auto_configure:
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	if [ ! -d $(CURDIR)/debian/s_config ]; then \
+	  mkdir -p $(CURDIR)/debian/s_config/dist/aclocal/ \
+	           $(CURDIR)/debian/s_config/lang/sql/sqlite/; \
+	fi
+	for f in $(RECONF_FILES); do \
+	  if [ ! -f $(CURDIR)/debian/s_config/$$f ]; then \
+	    mv $(CURDIR)/$$f $(CURDIR)/debian/s_config/`dirname $$f`; \
+	  fi; \
+	done
+	cd dist && libtoolize -cfi
+	cd lang/sql/sqlite && libtoolize -cfi
+	cd dist && ./s_config
+ifeq ($(ENABLE_TESTS),yes)
 	JAVACFLAGS="$(JAVACFLAGS)" dh_auto_configure -Ddist -Bbuild-test -- $(CONFIGURE_SWITCHES) --enable-test
 endif
 	JAVACFLAGS="$(JAVACFLAGS)" dh_auto_configure -Ddist -Bbuild-production -- $(CONFIGURE_SWITCHES) --disable-test
 
 override_dh_auto_clean:
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq ($(ENABLE_TESTS),yes)
 	dh_auto_clean -Ddist -Bbuild-test
 endif
 	dh_auto_clean -Ddist -Bbuild-production
 	rm -f $(CURDIR)/debian/build_signature.txt
+	for f in $(RECONF_FILES); do \
+	  if [ -f $(CURDIR)/debian/s_config/$$f ]; then \
+	    mv $(CURDIR)/debian/s_config/$$f $(CURDIR)/`dirname $$f`; \
+	  fi; \
+	done
+	if [ -d $(CURDIR)/debian/s_config/ ]; then \
+	  rmdir $(CURDIR)/debian/s_config/dist/aclocal/ \
+	        $(CURDIR)/debian/s_config/dist/ \
+	        $(CURDIR)/debian/s_config/lang/sql/sqlite/ \
+	        $(CURDIR)/debian/s_config/lang/sql/ \
+	        $(CURDIR)/debian/s_config/lang/ \
+	        $(CURDIR)/debian/s_config/; \
+	fi
 
 override_dh_auto_test:
 ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(VERY_BROKEN_CPUS))$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(VERY_BROKEN_SYSTEMS)))
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq ($(ENABLE_TESTS),yes)
 	cd build-test && make cutest && ./cutest
 	echo 'source ../test/tcl/test.tcl; run_std;' | tclsh
 
@@ -185,7 +194,7 @@
 
 	echo -n "Berkeley DB signature is:"; $(CURDIR)/debian/db_signature
 
-ifneq ($(DEB_STAGE),stage1)
+ifneq (,$(filter nojava pkg.db5.3.notcl,$(DEB_BUILD_PROFILES)))
 	if [ -f $(CURDIR)/debian/saved_signature_$(DEB_HOST_ARCH).txt ]; then \
 	    cmp $(CURDIR)/debian/saved_signature_$(DEB_HOST_ARCH).txt         \
 	        $(CURDIR)/debian/build_signature_$(DEB_HOST_ARCH).txt         \
@@ -203,15 +212,20 @@
 
 override_dh_install:
 	dh_install -a -Xusr/doc --list-missing
-ifeq ($(ENABLE_TCL),yes)
+ifeq (,$(filter pkg.db5.3.notcl,$(DEB_BUILD_PROFILES)))
 	tcltk-depends
 endif
 
-override_dh_installdocs:
-	dh_installdocs -pdb5.3-doc
-	dh_installdocs --remaining-packages --link-doc=libdb5.3
+override_dh_installdocs-indep:
+	dh_installdocs -pdb5.3-doc -plibdb5.3-java
+
+override_dh_installdocs-arch:
+	dh_installdocs --link-doc=libdb5.3
+ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 	# Install build_signature_$(DEB_HOST_ARCH).txt to docs
+	mkdir -p $(CURDIR)/debian/libdb5.3/usr/share/doc/libdb5.3/
 	install -m 644 debian/build_signature_$(DEB_HOST_ARCH).txt $(CURDIR)/debian/libdb5.3/usr/share/doc/libdb5.3/
+endif
 
 override_dh_strip:
 	dh_strip -s --dbg-package=libdb5.3-dbg
@@ -225,6 +239,3 @@
 ifeq (yes,$(ENABLE_JAVA))
 	jh_installlibs
 endif
-ifeq (yes,$(ENABLE_GCJ))
-	dh_nativejava
-endif
